Package org.apache.lucene.index

## Class MultiLeafReader

- java.lang.Object
- - org.apache.lucene.index.MultiLeafReader

-     public class MultiLeafReader
      extends Object

  Utility methods for working with a `IndexReader` as if it were a `LeafReader`.

  NOTE: for composite readers, you'll get better performance by gathering the sub readers using `IndexReader.getContext()` to get the atomic leaves and then operate per-LeafReader, instead of using this class.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`